/*
 * Copyright 2013 serso aka se.solovyev
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Contact details
 *
 * Email: se.solovyev@gmail.com
 * Site:  http://se.solovyev.org
 */

package org.solovyev.android.calculator.about;

import android.content.res.Resources;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * User: serso
 * Date: 4/20/12
 * Time: 3:31 PM
 */
public class TextHelper {

	@Nonnull
	public String packageName;

	@Nonnull
	public Resources resources;

	public TextHelper(@Nonnull Resources resources, @Nonnull String packageName) {
		this.packageName = packageName;
		this.resources = resources;
	}

	@Nullable
	public String getText(@Nonnull String stringName) {
		final int stringId = this.resources.getIdentifier(stringName, "string", this.packageName);
		try {
			return resources.getString(stringId);
		} catch (Resources.NotFoundException e) {
			return null;
		}
	}

}
