/*
 * Copyright 2013 serso aka se.solovyev
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Contact details
 *
 * Email: se.solovyev@gmail.com
 * Site:  http://se.solovyev.org
 */

package org.solovyev.android.calculator.model;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

import org.solovyev.common.JBuilder;
import org.solovyev.common.math.MathEntity;

/**
 * User: serso
 * Date: 12/22/11
 * Time: 9:21 PM
 */
public interface MathEntityBuilder<T extends MathEntity> extends JBuilder<T> {

	@Nonnull
	public MathEntityBuilder<T> setName(@Nonnull String name);

	@Nonnull
	public MathEntityBuilder<T> setDescription(@Nullable String description);

	@Nonnull
	public MathEntityBuilder<T> setValue(@Nullable String value);
}
